| Home · All Classes · All Namespaces · Modules · Functions · Files

# SimplePresence Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- uint type
- QString status
- QString statusMessage

## Detailed Description

Structure type generated from the specification.

A struct representing the presence of a contact.

## Member Data Documentation

uint type

The presence type, e.g. Connection_Presence_Type_Away.

QString status

The string identifier of the status, e.g. "brb", as defined in the Statuses property.

QString statusMessage

The user-defined status message, e.g. "Back soon!".

Clients SHOULD set the status message for the local user to the empty string, unless the user has actually provided a specific message (i.e. one that conveys more information than the Status).

User interfaces SHOULD regard an empty status message as unset, and MAY replace it with a localized string corresponding to the Status or Type.

<tp:rationale> Use case: Daf sets his status in Empathy by choosing the Welsh translation of "Available" from a menu. It is more informative for his English-speaking colleagues to see the English translation of "Available" (as localized by their own clients) than to see "Ar Gael" (which they don't understand anyway). </tp:rationale>